# Class ViewerControleur

java.lang.Object
fr.iutfbleau.sae.ViewerControleur

public class ViewerControleur extends Object
Controleur du visualiseur d'images PIF. Gere le chargement du fichier PIF et la conversion en image affichable.

## Constructor Summary

Constructors
Constructor
Description
`ViewerControleur(ViewerWindow window, String path)`
Constructeur du controleur.

## Method Summary

Modifier and Type
Method
Description
`void`
`loadPIF()`
Charge et affiche un fichier PIF.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ViewerControleur

public ViewerControleur(ViewerWindow window, String path)
Constructeur du controleur.

Parameters:
  `window` - la fenetre du visualiseur
  `path` - le chemin du fichier PIF ou null si aucun

## Method Details

### loadPIF

public void loadPIF()
Charge et affiche un fichier PIF. Si aucun fichier n'est fourni, ouvre un selecteur de fichier. Verifie que le fichier est au format PIF puis le decode et l'affiche.